Skip to main content
DELETE
/
files
/
{file_id}
cURL
curl https://api.portkey.ai/v1/files/file-abc123 \
  -X DELETE \
  -H "x-portkey-api-key: $PORTKEY_API_KEY" \
  -H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
from portkey_ai import Portkey

client = Portkey(
api_key = "PORTKEY_API_KEY",
virtual_key = "PROVIDER_VIRTUAL_KEY"
)

client.files.delete("file-abc123")
import Portkey from 'portkey-ai';

const client = new Portkey({
apiKey: 'PORTKEY_API_KEY',
virtualKey: 'PROVIDER_VIRTUAL_KEY'
});

async function main() {
const file = await client.files.del("file-abc123");

console.log(file);
}

main();


{
  "id": "<string>",
  "object": "file",
  "deleted": true
}

Authorizations

x-portkey-api-key
string
header
required
x-portkey-virtual-key
string
header
required

Path Parameters

file_id
string
required

The ID of the file to use for this request.

Response

200 - application/json

OK

id
string
required
object
enum<string>
required
Available options:
file
deleted
boolean
required
Last modified on April 2, 2026